Package org.jfree.layouting.output

## Class DefaultFontContext

- java.lang.Object
- - org.jfree.layouting.output.DefaultFontContext

- All Implemented Interfaces:
    `org.pentaho.reporting.libraries.fonts.registry.FontContext`

      public class DefaultFontContext
      extends java.lang.Object
      implements org.pentaho.reporting.libraries.fonts.registry.FontContext

  Creation-Date: 23.06.2006, 17:37:56
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultFontContext​(OutputProcessorMetaData metaData, boolean antiAliased, double size, java.lang.String encoding, boolean embedded)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getEncoding​()` |
    `double` | `getFontSize​()` | The requested font size.
    `boolean` | `isAntiAliased​()` | This is controlled by the output target and the stylesheet.
    `boolean` | `isEmbedded​()` |
    `boolean` | `isFractionalMetrics​()` | This is defined by the output target.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultFontContext

          public DefaultFontContext​(OutputProcessorMetaData metaData,
                                    boolean antiAliased,
                                    double size,
                                    java.lang.String encoding,
                                    boolean embedded)

  - ### Method Detail

    - #### getEncoding

          public java.lang.String getEncoding​()

      Specified by:
        `getEncoding` in interface `org.pentaho.reporting.libraries.fonts.registry.FontContext`

    - #### isEmbedded

          public boolean isEmbedded​()

      Specified by:
        `isEmbedded` in interface `org.pentaho.reporting.libraries.fonts.registry.FontContext`

    - #### isAntiAliased

          public boolean isAntiAliased​()

      This is controlled by the output target and the stylesheet. If the output target does not support aliasing, it makes no sense to enable it and all such requests are ignored.
      Specified by:
        `isAntiAliased` in interface `org.pentaho.reporting.libraries.fonts.registry.FontContext`
      Returns:

    - #### isFractionalMetrics

          public boolean isFractionalMetrics​()

      This is defined by the output target. This is not controlled by the stylesheet.
      Specified by:
        `isFractionalMetrics` in interface `org.pentaho.reporting.libraries.fonts.registry.FontContext`
      Returns:

    - #### getFontSize

          public double getFontSize​()

      The requested font size. A font may have a fractional font size (ie. 8.5 point). The font size may be influenced by the output target.
      Specified by:
        `getFontSize` in interface `org.pentaho.reporting.libraries.fonts.registry.FontContext`
      Returns:
        the font size.